/* @(#)dscext.h	18.1.1.1 (ESO-IPG) 09/03/02 18:37:12 */
/*

------------------------------ DSCEXT ------------------------------ 
 
layout of descriptor directory entry 

 
*/	

struct	DIRDSC
	{
	char		NAME[15];
	char		TYPE;
	int		UNIT;
	short int	BYTELEM;
	unsigned short int	NOELEM;
	int	START;
	short int	INDEX;
	};


extern struct DIRDSC	DSCDIR_ENTRY;
extern struct DIRDSC	*DSC_PNTR;		/* will point to DSCDIR_ENTRY */
 

/*

	NAME	name of descriptor				ch*15
	TYPE	type of descriptor				ch*1
		C(haracter), I(nteger), R(eal), D(ouble precision)
		H(elp) (implemented as C*1)
	UNIT	descr. units                 		        I*4
	BYTELEM	no. of bytes per descr. elements		I*2
	NOELEM	no. of elements in descriptor			I*2
	START	start block of descr. data			I*4
	INDEX	offset within starting block with descr. data 	I*2

	K. Banse	880323, 930226, 930907, 931019
	                NOELEM: short int -> unsigned short int 951128
	
-----------------------------------------------------------------------


*/
